import {Component, Input, OnDestroy, OnInit} from '@angular/core';
import {Product} from "../../../../model/product";
import {faCaretDown, faCaretUp} from "@fortawesome/free-solid-svg-icons";
import {ProductsService} from "../../../../services/products.service";
import {takeUntil} from "rxjs/operators";
import {Subject} from "rxjs";

@Component({
  selector: 'app-future-product',
  templateUrl: './future-product.component.html',
  styleUrls: ['./future-product.component.scss']
})
export class FutureProductComponent implements OnInit, OnDestroy {

  @Input() product: Product;
  private ngUnsubscribe = new Subject();
  public futureProduct: Product;
  public faCaretDown = faCaretDown;
  public faCaretUp = faCaretUp;

  showDetails = false;

  constructor(private productService: ProductsService) {
  }

  ngOnInit(): void {
    this.productService.getProductById(this.product.futureProductId.toString()).pipe(takeUntil(this.ngUnsubscribe))
      .subscribe((fp: Product) => {
        this.futureProduct = fp;
      });
  }

  ngOnDestroy(): void {
    this.ngUnsubscribe.next();
    this.ngUnsubscribe.complete();
  }

}
