/*
Environment Variables outside of angular.
This is so we can alter the contents of this file outside of doing a rebuild and deploy.
A service in angular will capture this info and add it to a service
 */
(function (window) {
  window.__env = window.__env || {};

  switch (window.location.hostname) {
    case 'archive-test.nrao.edu':
    case 'data-test.nrao.edu':
    case 'vlass-test.nrao.edu':
      window.__env.configUrl = 'https://vlass-test.nrao.edu/VlassMngr/services/configuration';
      break;
    case 'archive-new.nrao.edu':
    case 'data.nrao.edu':
    case 'vlass.nrao.edu':
      window.__env.configUrl = 'https://archive-new.nrao.edu/VlassMngr/services/configuration';
      break;
    case 'localhost':
      window.__env.configUrl = 'http://localhost:4444/api/VlassMngr/services/configuration';
      break;
    default:
      window.__env.configUrl = 'https://webtest.aoc.nrao.edu/VlassMngr/services/configuration';
      break;
  }

  /**
  * If you need to overwrite this for this server, use the following
  */
  // window.__env.configUrl = 'https://webtest.aoc.nrao.edu/VlassMngr/services/configuration';

}(this));
